Skip to main content
GET
TypeScript

Query Parameters

limit
number
default:100

Items per page (max 100)

Required range: 1 <= x <= 100
offset
number
default:0

Paging offset

Required range: x >= 0
pageCursor
string

Page cursor to get the next page

pageSize
number

Number of items per page, requesting more then max will return max items

Required range: 1 <= x <= 100
type
enum<string>

The type of the contract templates you wish to retrieve. Can accept one type, more or none

Available options:
FUNGIBLE_TOKEN,
NON_FUNGIBLE_TOKEN,
TOKEN_UTILITY
initializationPhase
enum<string>

For standalone contracts use ON_DEPLOYMENT and for contracts that are behind proxies use POST_DEPLOYMENT

Available options:
ON_DEPLOYMENT,
POST_DEPLOYMENT

Response

List of contract templates was returned successfully

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"